set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'christoomey/vim-tmux-navigator'

set -g @plugin 'pschmitt/tmux-ssh-split'
# Other examples:
# set -g @plugin 'github_username/plugin_name'
# set -g @plugin 'github_username/plugin_name#branch'
# set -g @plugin 'git@github.com:user/plugin'
# set -g @plugin 'git@bitbucket.com:user/plugin'
#set -g @plugin "arcticicestudio/nord-tmux"
#set -g default-terminal "st-256color"
#set -g @plugin 'wfxr/tmux-power'
#set -g @tmux_power_theme 'default'
#set -g status-style fg=white,bg=black

# ----------------------
# Status Bar
# -----------------------
set-option -g status on                # turn the status bar on
set -g status-interval 5               # set update frequencey (default 15 seconds)
set -g status-justify centre           # center window list for clarity
# set-option -g status-position top    # position the status bar at top of screen

# visual notification of activity in other windows

# set color for status bar
#set-option -g status-bg color8 #base02
set -g status-style bg=default
set-option -g status-fg color3 #yellow

# set window list colors - red for active and cyan for inactive

# show host name and IP address on left side of status bar
set -g status-left-length 85

# show session name, window & pane number, date and time on right side of
# status bar
set -g status-right-length 60
set -g status-right "#[fg=blue]#S #I:#P #[fg=yellow]: %d %b %Y #[fg=green]: %l:%M %p : #(date -u | awk '{print $4}') :"
set -g status-right "#[fg=blue]#(tmux-cpu --no-color)"

# mouse mode (commented lines for old versions of tmux)
# setw -g mode-mouse on
# set -g mouse-resize-pane on
# set -g mouse-select-pane on
# set -g mouse-select-window on
# key bindings

# divider color
set -g default-terminal "xterm-256color"

unbind r
bind r source-file /home/moo/.config/tmux/tmux.conf

#act like vim
setw -g mode-keys vi
bind-key h select-pane -L
bind-key j select-pane -D
bind-key k select-pane -U
bind-key l select-pane -R

bind-key -n C-S-Left swap-window -t -1
bind-key -n C-S-Right swap-window -t +1

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.config/tmux/plugins/tpm/tpm'
